Subject: Re: [bug#43699] [PATCH] guix: Fix argument order of fxbit-set?

From: Lars-Dominik Braun <[email-masked]>
Date: Wed, 30 Sep 2020 08:30:51 +0200

Hi Ludo,

> The root problem is that the ‘fxbit-set?’ alias defined at the top of
> openpgp.scm had the arguments swapped compared to ‘bit-set?’.  So I
> changed that alias instead of changing its users (‘fxbit-set?’ is
> defined in R6RS).
oh, okay. I looked at SRFI 143 which also has a fxbit-set? with the same
argument order as bit-set?, so I thought the alias was mimicking that API. But
this works too I guess.

Thanks,
Lars

[1] https://srfi.schemers.org/srfi-143/srfi-143.html